LibreOffice LibreOffice 6.2 SDK API Reference

Classes | Modules
XDataProvider.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/chart2/data/XDataSource.idl";`
`import "com/sun/star/beans/PropertyValue.idl";`
`import "com/sun/star/sheet/XRangeSelection.idl";`

Go to the source code of this file.

## Classes
interface | XDataProvider
| An application that provides data for a chart must implement this interface. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart2
| New implementation of Charting diagram interfaces.
module | com::sun::star::chart2::data
| Chart data provider interfaces.